質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

91.35%

  • Python 3.x

    2407questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

ImportError: DLL load failed: 指定されたモジュールが見つかりません。

解決済

回答 1

投稿 2017/12/02 03:54 ・編集 2017/12/02 04:02

  • 評価
  • クリップ 0
  • VIEW 80

Hey-san

score 5

前提・実現したいこと

python初心者です。よろしくお願いします。
pythonを使ってsklearnを使用するとエラーがでてしまいうまくいきません。

発生している問題・エラーメッセージ

from sklearn import datasets
や
from sklearn.model_selection import train_test_split
の箇所で

ImportError: DLL load failed: 指定されたモジュールが見つかりません。

と表示されます。

該当のソースコード

>>> import numpy as np
>>> import tensorflow as tf
>>> from sklearn import datasets
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "C:\ProgramData\Anaconda3\lib\site-packages\sklearn\__init__.py", line 134, in <module>
    from .base import clone
  File "C:\ProgramData\Anaconda3\lib\site-packages\sklearn\base.py", line 11, in <module>
    from scipy import sparse
  File "C:\ProgramData\Anaconda3\lib\site-packages\scipy\__init__.py", line 114, in <module>
    from scipy._lib._ccallback import LowLevelCallable
  File "C:\ProgramData\Anaconda3\lib\site-packages\scipy\_lib\_ccallback.py", line 1, in <module>
    from . import _ccallback_c
  File "C:\ProgramData\Anaconda3\lib\site-packages\scipy\_lib\_ccallback_c.py",line 7, in <module>
    __bootstrap__()
  File "C:\ProgramData\Anaconda3\lib\site-packages\scipy\_lib\_ccallback_c.py",line 6, in __bootstrap__
    imp.load_dynamic(__name__,__file__)
  File "C:\ProgramData\Anaconda3\lib\imp.py", line 343, in load_dynamic
    return _load(spec)
ImportError: DLL load failed: 指定されたモジュールが見つかりません。
>>> from sklearn.model_selection import train_test_split
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "C:\ProgramData\Anaconda3\lib\site-packages\sklearn\__init__.py", line 134, in <module>
    from .base import clone
  File "C:\ProgramData\Anaconda3\lib\site-packages\sklearn\base.py", line 11, in <module>
    from scipy import sparse
  File "C:\ProgramData\Anaconda3\lib\site-packages\scipy\__init__.py", line 114, in <module>
    from scipy._lib._ccallback import LowLevelCallable
  File "C:\ProgramData\Anaconda3\lib\site-packages\scipy\_lib\_ccallback.py", line 1, in <module>
    from . import _ccallback_c
  File "C:\ProgramData\Anaconda3\lib\site-packages\scipy\_lib\_ccallback_c.py",line 7, in <module>
    __bootstrap__()
  File "C:\ProgramData\Anaconda3\lib\site-packages\scipy\_lib\_ccallback_c.py",line 6, in __bootstrap__
    imp.load_dynamic(__name__,__file__)
  File "C:\ProgramData\Anaconda3\lib\imp.py", line 343, in load_dynamic
    return _load(spec)
ImportError: DLL load failed: 指定されたモジュールが見つかりません。
>>> from sklearn.utils import shuffle
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "C:\ProgramData\Anaconda3\lib\site-packages\sklearn\__init__.py", line 134, in <module>
    from .base import clone
  File "C:\ProgramData\Anaconda3\lib\site-packages\sklearn\base.py", line 11, in <module>
    from scipy import sparse
  File "C:\ProgramData\Anaconda3\lib\site-packages\scipy\__init__.py", line 114, in <module>
    from scipy._lib._ccallback import LowLevelCallable
  File "C:\ProgramData\Anaconda3\lib\site-packages\scipy\_lib\_ccallback.py", line 1, in <module>
    from . import _ccallback_c
  File "C:\ProgramData\Anaconda3\lib\site-packages\scipy\_lib\_ccallback_c.py",line 7, in <module>
    __bootstrap__()
  File "C:\ProgramData\Anaconda3\lib\site-packages\scipy\_lib\_ccallback_c.py",line 6, in __bootstrap__
    imp.load_dynamic(__name__,__file__)
  File "C:\ProgramData\Anaconda3\lib\imp.py", line 343, in load_dynamic
    return _load(spec)
ImportError: DLL load failed: 指定されたモジュールが見つかりません。
>>>

試したこと

scikit-learnとnumpyの再インストールをしてみましたが回避できません。
pip uninstall scikit-learn
pip install scikit-learn

pip uninsatll numpy
pip install .\numpy-1.12.3+mkl-cp35-cp35m-win_amd64.whl

補足情報(言語/FW/ツール等のバージョンなど)

windows7(64bit)
python 3.5.4 :: Anaconda 4.4.0 (64bit)

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

check解決した方法

+1

下記の掲載をやってみて、エラーが出なくなりましたので(他のエラーが出るけど)
とりあえず、解決の方向で行きたいと思います。

まずは、このサイトを参考にnumpyの再インストールを実施。

pip uninstall numpy
pip install --upgrade --force-reinstall "numpy-1.13.3+mkl-cp35-cp35m-win_amd64.whl"

次に、このサイトを参考に実施してみました。

pip install -U numpy scipy scikit-learn

すると、指定されたモジュールが見つかりません。というエラーが出なくなりました。
初心者にはよくわかりませんが色々制約があって難しいですね。
勉強にはなるけど、勉強の前に躓いてしまってなかなか先に進めません
(たぶん、pythonの泥臭い流儀を勉強しないといけないんでしょうけど。)

頑張ります^^ありがとうございました。

投稿 2017/12/02 16:30

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

ただいまの回答率

91.35%

関連した質問

  • 解決済

    scikit-learn(svm)のエラーについて

    質問内容 python、機械学習共に初学者です。 自分で適当なcsvファイルをデータセットとして作成し 下記のソースコードを実行したところ、下記のようなエラーが発生しました。

  • 解決済

    Tensorflowのfully_connected_feedの実行にエラーが続く

    tensoflowのfully_connected_feed.pyを実行しようとしているのですが、どう試行錯誤してもエラーが続きます。 tensorflowのインストールの仕方、

  • 受付中

    string から float に配列全体をキャストしたい

    ValueError: could not convert string to float: 'rec_id' とエラーが出ました。 コードには import numpy

  • 解決済

    ImportErrorが解消できない件

    以下に記すエラーの解消方法が分からないのでアドバイスを頂きたいです。 pythonのバージョンに合ったnumpyをインストールしていない時に出るエラーだと思います。 pipでmat

  • 解決済

    pipでインストールした後のImportError

    pip3でlxmlというモジュールをインストールしたのですが、そのあとlxmlのモジュールを使った.pyファイルをはしらせても、 ImportError: No module

  • 解決済

    chainerのImportError: No module

    前提・実現したいこと https://github.com/mitmul/deeppose こちらのdeep poseを実装中のエラーです サーバー上に全てのデータを置き、チュ

  • 解決済

    python内word2vecのインポートについて

    word2vecを動かしてみたい こんにちは。私はword2vecを動かしてみたいと考えています。 こういう作業はしたことがないのでゼロからの挑戦です。 ・環境 ・VMplayer

  • 解決済

    rails g kaminari:views bootstrap3が実行できない

    前提・実現したいこと railsでgem 'kaminari'を導入した後に、bootstrap3との競合を避けるために、 $rails g kaminari:views boot

同じタグがついた質問を見る

  • Python 3.x

    2407questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。